# Miscellaneous Events

Miscellaneous Events

 - [POST /miscellaneousEvents/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/createmiscellaneousevent.md): This method will auto-generate an ID and create a new miscellaneous event. If an ID is specified for the miscellaneous event, an error will be thrown.
 - [POST /miscellaneousEvents/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /miscellaneousEvents/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/listmiscellaneouseventsbyeventid.md): Returns a list of records with the specified event_id
 - [DELETE /miscellaneousEvents/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/deletemiscellaneousevent.md): This method will delete a miscellaneous event with the specified ID.
 - [GET /miscellaneousEvents/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/getmiscellaneousevent.md): This method will look up a miscellaneous event by the specified ID and return it back.
 - [PATCH /miscellaneousEvents/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/patchmiscellaneousevent.md): This method will patch an existing miscellaneous event with the specified ID, using the HTTP PATCH specification.
 - [PUT /miscellaneousEvents/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/updatemiscellaneousevent.md): This method will update an existing miscellaneous event with the specified ID.
